commit:     a81cab109ff0c31948caff10c2e7eb7f3bf385be
Author:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  4 04:39:57 2015 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Fri Dec  4 04:39:57 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a81cab10

dev-python/apsw: bump to vn. apsw-3.9.2_p1 (naming style retained)

bump adds 'SQLITE_IOERR_VNODE' constant, adds py3.5 support, drop IUSE doc
due to issues with the doc build, ebuild prepared and cross tested by user
Bureaucat via the gentoo bug; bug set to UPSTREAM with link to issue filed
upstream re the failed doc build"

Gentoo Bug: #567402

Package-Manager: portage-2.2.24

 dev-python/apsw/Manifest             |  1 +
 dev-python/apsw/apsw-3.9.2_p1.ebuild | 42 ++++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/apsw/Manifest b/dev-python/apsw/Manifest
index 35499dd..4adc939 100644
--- a/dev-python/apsw/Manifest
+++ b/dev-python/apsw/Manifest
@@ -1,3 +1,4 @@
 DIST apsw-3.8.10.1_p1.tar.gz 307142 SHA256 
af20221e1a65f593b47d83f1f8a136afc6d2199a22bc014251a44e31e7b0ca17 SHA512 
1f997c6c88ca65995c8b5d894135d5900a4d2f56f877f74f0e99eab4ede0d06be5730ce282a5d99358318ca076eec75f2afe271574b6c02aaabf4bef181d0bda
 WHIRLPOOL 
3e9b609a19ee39edda9af8140982c74d53d3e2b4c0bd05ea53974cb7a3c2f12f13ab4acf1d51ac5b50ee738f5380dc83b819e0ed11bf28107f903f0a52eb5949
 DIST apsw-3.8.11.1_p1.tar.gz 307797 SHA256 
f4dc653aca10dfae8578c8bf1125600f77d0d8dcc85b4185754388aa87ae0997 SHA512 
4ca857d32f423475b17e81130d4919627d581b80dd6f3f120d95906ddad657d6f52eb69fb211612e15f5eaee0211c0ad992391c93068a463e72670d49f69c61e
 WHIRLPOOL 
15a58a83e1e5f3ee4afc470a0d58e29f5ee5cf416897b1c83ad021fb9c47f0533a5e01417aa59fb74e7b33ad9e5f1a74b40c0cbffcee4cf01617006dbad3dc2a
 DIST apsw-3.8.7.1_p1.tar.gz 303446 SHA256 
7aee29cc170332aa1a16fb80753152e809208bbc91823f64178e4afc32526fec SHA512 
104aad3a8cec07647b71c77814cc069587daf84450b41f992d0b3c752c476105351b28912768a29f7952bfd75e9b2d3fcd8e6ae758b3bab8b986bf8e1300c256
 WHIRLPOOL 
cc95728b07e384ee88002afce4b68abcfb259a62188cc77bad1154a83bf3e1979fec8761fe8a3c9e5ae35d5027cdf42c1b4a4b7749ad76d7935e032e253c8167
+DIST apsw-3.9.2_p1.tar.gz 308216 SHA256 
6fae3f701f5cadca47195d814a02cec016f813f35d9d44d39596d293f5067577 SHA512 
530940debc738e0902af266ccd14567c7ec6afe5866dcc2d66ace939cb681ea30da6b34e688ab986531266833e691a0233ad0c19bc4a105bb9e8c05f97adb537
 WHIRLPOOL 
d44be5fa9245faea35c2f9fce894e62eac676957cdcce75673f3a671a01a3dd05c1bbfeca9b85f227419a1a46921324585675cbcc65cc83eb364520e5cf4a4b7

diff --git a/dev-python/apsw/apsw-3.9.2_p1.ebuild 
b/dev-python/apsw/apsw-3.9.2_p1.ebuild
new file mode 100644
index 0000000..e556884
--- /dev/null
+++ b/dev-python/apsw/apsw-3.9.2_p1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+inherit distutils-r1
+
+MY_PV=${PV/_p/-r}
+MY_P=${PN}-${MY_PV}
+
+DESCRIPTION="APSW - Another Python SQLite Wrapper"
+HOMEPAGE="https://github.com/rogerbinns/apsw/";
+SRC_URI="https://github.com/rogerbinns/apsw/archive/${MY_PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+
+RDEPEND=">=dev-db/sqlite-${PV%_p*}"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+PATCHES=( "${FILESDIR}"/${PN}-3.6.20.1-fix_tests.patch )
+
+python_compile() {
+       if ! python_is_python3; then
+               local CFLAGS="${CFLAGS} -fno-strict-aliasing"
+               export CFLAGS
+       fi
+       distutils-r1_python_compile --enable=load_extension
+}
+
+python_test() {
+       "${PYTHON}" setup.py build_test_extension || die "Building of test 
loadable extension failed"
+       "${PYTHON}" tests.py -v || die "Tests failed under ${EPYTHON}"
+}
+
+# Docs build is presently non-functional due to upstream issues
+# See https://github.com/rogerbinns/apsw/issues/198

Reply via email to